#!/bin/sh
echo 'name: cmdlib
version: 0.3.5
id: cmdlib-0.3.5-b875ed679919bd6fe4051d9008d463ba

license: BSD3
copyright:
maintainer: me@mornfall.net
stability:
homepage:
package-url:
synopsis: a library for command line parsing & online help
description: A commandline parsing library, based on getopt. Comes with a
             powerful attribute system. Supports complex interfaces with many
             options and commands, with option & command grouping, with simple
             and convenient API. Even though quite powerful, it strives to keep
             simple things simple. The library uses "System.Console.GetOpt" as
             its backend.
             .
             In comparison to the other commandline handling libraries:
             .
             Compared to cmdargs, cmdlib has a pure attribute system and is
             based on GetOpt for help formatting & argument parsing. Cmdlib may
             also be more extendable due to typeclass design, and can use
             user-supplied types for option arguments.
             .
             Cmdargs >= 0.4 can optionally use a pure attribute system,
             although this is clearly an add-on and the API is a second-class
             citizen in relation to the impure version.
             .
             GetOpt and parseargs both require explicit flag representation, so
             they live a level below cmdlib. GetOpt is in fact used as a
             backend by cmdlib.
category: System
author: Petr Rockai
pkgpath: devel/hs-cmdlib
exposed: True
exposed-modules: System.Console.CmdLib
hidden-modules: System.Console.CmdLib.Attribute
                System.Console.CmdLib.Flag System.Console.CmdLib.Command
                System.Console.CmdLib.ADTs System.Console.CmdLib.Record
trusted: False
import-dirs: /usr/local/lib/ghc/cmdlib-0.3.5
library-dirs: /usr/local/lib/ghc/cmdlib-0.3.5
hs-libraries: HScmdlib-0.3.5
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base-4.5.1.0-f38bf31a759416ec7b167d6dc132959a
         mtl-2.1.2-02e701f9b1590ee88a0b5b0bd5d93a29
         split-0.2.1.1-03ec5738edb34f2e8967d25637b9392f
         syb-0.3.7-60af41a2377e93620710d393692aff24
         transformers-0.3.0.0-8e66ecc7d4dae2b07b2b5406908c70e4
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-cmdlib-0.3.5/html/cmdlib.haddock
haddock-html: /usr/local/share/doc/hs-cmdlib-0.3.5/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
